"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Constants = exports.wrapIntoUseMemoActionDescription = exports.wrapIntoUseMemoActionName = exports.wrapIntoUseCallbackActionDescription = exports.wrapIntoUseCallbackActionName = exports.refactorDescriptions = exports.refactorName = exports.pluginName = void 0;
exports.pluginName = 'ts-react-hooks-tools-plugin';
exports.refactorName = 'convertReactHooks';
exports.refactorDescriptions = 'Convert something into React hooks';
exports.wrapIntoUseCallbackActionName = 'wrapIntoUseContext';
exports.wrapIntoUseCallbackActionDescription = 'Wrap into React.useCallback';
exports.wrapIntoUseMemoActionName = 'wrapIntoUseMemo';
exports.wrapIntoUseMemoActionDescription = 'Wrap into React.useMemo';
var Constants;
(function (Constants) {
    Constants["SetPrefix"] = "set";
    Constants["UsePrefix"] = "use";
    Constants["NamespacePrefix"] = "@";
    Constants["React"] = "React";
    Constants["ReactModule"] = "react";
    Constants["UseRef"] = "useRef";
    Constants["UseState"] = "useState";
    Constants["UseMemo"] = "useMemo";
    Constants["UseCallback"] = "useCallback";
    Constants["NodeModules"] = "node_modules";
})(Constants = exports.Constants || (exports.Constants = {}));
//# sourceMappingURL=constants.js.map